###  | #  |

Public Member Functions | Public Attributes | List of all members
Swappable< T > Struct Template Reference
Basic Concepts

Concept of swap operation requirement. More...

`#include <basic.hpp>`

## Public Member Functions
void | constraints ()

## Public Attributes
T | x
T | y

## Detailed Description

template<typename T>
struct boost::gil::Swappable< T >

Concept of swap operation requirement.

auto concept Swappable<typename T>
{
void swap(T&,T&);
};
boost::gil::Swappable
Concept of swap operation requirement.
Definition basic.hpp:119

The documentation for this struct was generated from the following file:

- basic.hpp